Page MenuHomePhabricator

intermittent datepicker issues in MW 1.26, like "jQuery is not defined"
Closed, ResolvedPublic

Description

I'm seeing intermittent issues with the datepicker in MW 1.26. We're getting "jQuery is not defined", so I think it has to do with the resourceloader and maybe the timing of it loading. Sometimes it works, sometimes a few instances load, and sometimes none of them do. There's some more discussion on the talk page here https://www.mediawiki.org/wiki/Topic:Sprswqpt682hyjki

Event Timeline

Kc5vcx created this task.Dec 19 2015, 4:41 AM
Kc5vcx raised the priority of this task from to Needs Triage.
Kc5vcx updated the task description. (Show Details)
Kc5vcx added a subscriber: Kc5vcx.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 19 2015, 4:41 AM
Aklapper renamed this task from datepicker in MW 1.26 to intermittent datepicker issues in MW 1.26, like "jQuery is not defined".Dec 19 2015, 12:39 PM
Aklapper set Security to None.

The problem is that SFI embeds Javascript directly in the HTML. Now that jQuery is loaded late it is not (always) available in time for the SFI inputs.

Foxtrott claimed this task.Feb 1 2016, 6:45 PM
Foxtrott triaged this task as High priority.
Smsm1 added a subscriber: Smsm1.Feb 8 2016, 2:43 PM
Foxtrott closed this task as Resolved.Feb 8 2016, 4:37 PM

This should now be fixed.

Relevant changes:

  • 96298d67d1f248f8c7ac185dc56266658eeabb6b- Remove direct insertions of JS into the page HTML
  • b82ff8e2f95ae4aed7415cc6867dce6529997e33- Remove input type datepicker; follow changed input type registration in SF 3.4.3
  • f20110aaa9070ce23f8f16bc218babed54e0084a - Add input type datepicker to SemanticForms
  • 36382af25e40980c7420047733a8c16e7e07e365 - Add input type regexp to SemanticForms; fix datepicker

You will need to update both SemanticForms and SemanticFormsInputs to the latest dev version.

Seems fixed to me, thanks!